ADRIFT Forum


The place to discuss the ADRIFT Interactive Fiction toolkit

Can't install.

This forum is the place to learn about and discuss ADRIFT 5. Feel free to mention any bugs you find here, but please also add these to the Bugs & Enhancements list.

Please also refer to the ADRIFT 5 Wiki for more information.

Can't install.

Postby markb67 » Thu Oct 06, 2016 10:49 pm

So I finally got a Windows partition set up on my Mac and thought I'd try Adrift. First thing it tells me is that it needs .net framework 2.0. I poke around for a bit and find out that .Net framework 3.5 contains version 2.0 and is apparently recommended for Windows 10. So I try downloading that, but it gives me an error message. I track down the error message on Microsoft's site and it gives me a long, multi-step process to resolve the error which I, being inexperienced with Windows, find too confusing. I read something on the blog here that Adrift now runs under .Net version 4, so I download the Adrift installer again, thinking I must have accidentally downloaded an earlier version, but still no luck. So, in conclusion, Adrift seems like an interesting platform, but not interesting enough to jump through all those hoops, not when there are other IF authoring systems available. Second, I hate Windows. Any advice would be appreciated.
markb67
 
Posts: 3
Joined: Mon Oct 03, 2016 3:37 pm

Re: Can't install.

Postby Campbell » Fri Oct 07, 2016 7:11 am

Where did you see it saying you need .Net 2.0? It used to, but now the requirement is just .Net 4.0.
ADRIFT Developer developer.
User avatar
Campbell
Site Admin
 
Posts: 4619
Joined: Sun Jun 23, 2002 11:05 am
Location: Edinburgh, Scotland

Re: Can't install.

Postby markb67 » Fri Oct 07, 2016 3:40 pm

From the main download page. The link at the top that says Version 5.0, Release 35 (6th June 2016). I run the setup after unzipping and that's the message I get. I don't have access to my Windows machine right now, so can't send a screenshot.
markb67
 
Posts: 3
Joined: Mon Oct 03, 2016 3:37 pm

Re: Can't install.

Postby DazaKiwi » Sat Oct 08, 2016 2:09 am

Did you get it sorted?
User avatar
DazaKiwi
 
Posts: 531
Joined: Thu Oct 21, 2010 9:05 am
Location: New Zealand
Points: 16

Re: Can't install.

Postby markb67 » Mon Oct 10, 2016 1:53 am

OK, don't know how to do Windows screengrabs on a Mac, but here is a step-by-step description: Under the "downloads" tab of the main site I choose the top option, version 5.0 release 35 from June 6th. Click on the icon for the .zip file and it downloads. Right click on the file in the downloads folder to extract all. Open the ADRIFT5Setup folder and double click on the setup application icon. A window pops up that says Microsoft .NET Framework 2.0 SP2 needs to be installed for this installation to continue. I click OK and the InstallShieldWizard window appears telling me "the wizard was interrupted before ADRIFT 5 could be completely installed" That's it. I can't really tell you anything more than that. Now, this is running Windows under Bootcamp on a Mac and I believe that installs some custom drivers, although I don't see how that could be a problem here.
markb67
 
Posts: 3
Joined: Mon Oct 03, 2016 3:37 pm


Return to ADRIFT 5.0

Who is online

Users browsing this forum: No registered users and 9 guests